./net/netatalk22, Netatalk appletalk file and print services

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.2.6nb2, Package name: netatalk22-2.2.6nb2, Maintainer: markd

Netatalk is a freely-available, kernel level implementation of the AppleTalk
Protocol Suite, originally for BSD-derived systems. A *NIX/*BSD system
running netatalk is capable of serving many macintosh clients simultaneously
as an AppleTalk router, AppleShare file server (AFP), *NIX/*BSD print server,
and for accessing AppleTalk printers via Printer Access Protocol (PAP).
Included are a number of minor printing and debugging utilities.

MESSAGE.pam [+/-]

Required to run:
[databases/db4] [lang/perl5] [security/libgcrypt]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 98a2d33f2e240e49caec32b83bca579723ce87f7
RMD160: c7b051cf89d30c9bf1d491d9e04ceee2f39b897d
Filesize: 1271.374 KB

Version history: (Expand)


CVS history: (Expand)


   2017-11-23 18:20:22 by Thomas Klausner | Files touched by this commit (556)
Log message:
recursive bump for libxkbcommon removal from at-spi2-core
   2017-11-12 17:03:37 by Pierre Pronchery | Files touched by this commit (35) | Package updated
Log message:
Bump PKGREVISION on packages depending on CUPS

This should be the last part of the renaming operation for print/cups to
print/cups-base.

Rationale: packages depending on CUPS but not relying on a functional
printing setup only need to depend on print/cups-base (equivalent to the
former print/cups). The new print/cups now depends on print/cups-base
and on print/cups-filters, thus directly providing a functional printing
setup. This bump reflects this change of dependency.

As discussed on tech-pkg@
   2017-11-12 16:37:00 by Pierre Pronchery | Files touched by this commit (38) | Package updated
Log message:
Update dependencies on print/cups to print/cups-base

This is with the notable exception of meta-pkgs/desktop-gnome, which I
believe implies a fully functional cups.

This is still missing revision bumps - I'll be right there (first time I
am doing this on so many packages at a time).

As discussed on tech-pkg@
   2017-07-12 15:56:00 by Hauke Fath | Files touched by this commit (26) | Package removed
Log message:
Update netatalk22 to patch release 2.2.6.

For changes see
<https://github.com/Netatalk/Netatalk/commits/branch-netatalk-2-2>
- the upstream release branch does not have a changelog.

Upstream took a lot of our patches - thanks, guys!

Package changes include untangling ldap support, so that the package
builds with it. There has been confusion between acl and ldap support
upstream as well as in the package - see
patch-include_atalk_ldapconfig.h and
<https://github.com/Netatalk/Netatalk/commits/branch-netatalk-2-2/include/atalk/ldapconfig.h>.
   2017-07-11 17:51:14 by Hauke Fath | Files touched by this commit (2)
Log message:
We do not at this point support zeroconf via avahi. Since configure
does not allow for building without avahi, and native avahi is picked
up on some Linuxen, we disable all avahi tests unconditionally here.
   2017-07-08 21:38:18 by Hauke Fath | Files touched by this commit (2)
Log message:
Remove a bit-rotted inline prototype for a libc function, unbreaking
build on netbsd-8.
   2017-04-14 11:15:57 by Hauke Fath | Files touched by this commit (1)
Log message:
GC list of conflicts - the pkgsrc framework will detect PLIST
conflicts automajically, says wiz@
   2017-04-13 16:35:53 by Hauke Fath | Files touched by this commit (4) | Package updated
Log message:
#define CUPS API compatibility options so we can build against newer
CUPS versions, and switch dependency away from cups15.

Update conflicts list.